Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.processfiles
Class ProcessFilesMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.processfiles.ProcessFilesMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface

    public class ProcessFilesMeta

extends BaseStepMeta
implements StepMetaInterface

Field Summary
`static int` | `OPERATION_TYPE_COPY`
`static int` | `OPERATION_TYPE_DELETE`
`static int` | `OPERATION_TYPE_MOVE`
`static String[]` | `operationTypeCode` The operations type codes
`static String[]` | `operationTypeDesc` The operations description
`boolean` | `simulate`

Constructor Summary
`ProcessFilesMeta()`

Method Summary
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepMeta, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `getDynamicSourceFileNameField()`
`String` | `getDynamicTargetFileNameField()`
`int` | `getOperationType()`
`static int` | `getOperationTypeByDesc(String tt)`
`static String` | `getOperationTypeDesc(int i)`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta transMeta, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `isaddTargetFileNametoResult()`
`boolean` | `isCreateParentFolder()`
`boolean` | `isOverwriteTargetFile()`
`boolean` | `isSimulate()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setaddTargetFileNametoResult(boolean addresultfilenames)`
`void` | `setCreateParentFolder(boolean createparentfolder)`
`void` | `setDefault()` Set default values
`void` | `setDynamicSourceFileNameField(String sourcefilenamefield)`
`void` | `setDynamicTargetFileNameField(String targetfilenamefield)`
`void` | `setOperationType(int operationType)`
`void` | `setOverwriteTargetFile(boolean overwritetargetfile)`
`void` | `setSimulate(boolean simulate)`
`boolean` | `supportsErrorHandling()`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getFields, getID, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepMetaInterface
`analyseImpact, cancelQueries, excludeFromRowLayoutVerification, exportResources, getDialogClassName, getFields, getInfoSteps, getRequiredFields, getRequiredFields, getResourceDependencies, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, searchInfoAndTargetSteps, setInfoSteps, setTargetSteps`

Field Detail

### simulate

    public boolean simulate

### operationTypeDesc

    public static final String[] operationTypeDesc

  The operations description

### operationTypeCode

    public static final String[] operationTypeCode

  The operations type codes

### OPERATION_TYPE_COPY

    public static final int OPERATION_TYPE_COPY

See Also:
  Constant Field Values

### OPERATION_TYPE_MOVE

    public static final int OPERATION_TYPE_MOVE

See Also:
  Constant Field Values

### OPERATION_TYPE_DELETE

    public static final int OPERATION_TYPE_DELETE

See Also:
  Constant Field Values

Constructor Detail

### ProcessFilesMeta

    public ProcessFilesMeta()

Method Detail

### getOperationType

    public int getOperationType()

### getOperationTypeByDesc

    public static int getOperationTypeByDesc(String tt)

### setOperationType

    public void setOperationType(int operationType)

### getOperationTypeDesc

    public static String getOperationTypeDesc(int i)

### getDynamicSourceFileNameField

    public String getDynamicSourceFileNameField()

  Returns:
    Returns the sourcefilenamefield.

### setDynamicSourceFileNameField

    public void setDynamicSourceFileNameField(String sourcefilenamefield)

  Parameters:
    `sourcefilenamefield` - The sourcefilenamefield to set.

### getDynamicTargetFileNameField

    public String getDynamicTargetFileNameField()

  Returns:
    Returns the targetfilenamefield.

### setDynamicTargetFileNameField

    public void setDynamicTargetFileNameField(String targetfilenamefield)

  Parameters:
    `targetfilenamefield` - The targetfilenamefield to set.

### isaddTargetFileNametoResult

    public boolean isaddTargetFileNametoResult()

### isOverwriteTargetFile

    public boolean isOverwriteTargetFile()

### isCreateParentFolder

    public boolean isCreateParentFolder()

### setaddTargetFileNametoResult

    public void setaddTargetFileNametoResult(boolean addresultfilenames)

### setOverwriteTargetFile

    public void setOverwriteTargetFile(boolean overwritetargetfile)

### setCreateParentFolder

    public void setCreateParentFolder(boolean createparentfolder)

### setSimulate

    public void setSimulate(boolean simulate)

### isSimulate

    public boolean isSimulate()

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepMeta,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepMeta` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta transMeta,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `transMeta` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### supportsErrorHandling

    public boolean supportsErrorHandling()

  Specified by:
    `supportsErrorHandling` in interface `StepMetaInterface`
  Overrides:
    `supportsErrorHandling` in class `BaseStepMeta`
  Returns:
    true if this step supports error "reporting" on rows: the ability to send rows to a certain target step.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD